Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
OpenMesh::Subdivider::Uniform::CompositeTraits Struct Reference

`#include <libs_required/OpenMesh/src/OpenMesh/Tools/Subdivider/Uniform/Composite/CompositeTraits.hh>`

Inheritance diagram for OpenMesh::Subdivider::Uniform::CompositeTraits:

## Public Types
typedef Refs::Scalar | Scalar
typedef Refs::Point | Point
typedef Refs::Scalar | Scalar
Public Types inherited from OpenMesh::DefaultTraits
typedef Vec3f | Point
| The default coordinate type is OpenMesh::Vec3f.
typedef Vec3f | Normal
| The default normal type is OpenMesh::Vec3f.
typedef float | TexCoord1D
| The default 1D texture coordinate type is float.
typedef Vec2f | TexCoord2D
| The default 2D texture coordinate type is OpenMesh::Vec2f.
typedef Vec3f | TexCoord3D
| The default 3D texture coordinate type is OpenMesh::Vec3f.
typedef int | TextureIndex
| The default texture index type.
typedef Vec3uc | Color
| The default color type is OpenMesh::Vec3uc.

## Public Member Functions
| FaceAttributes (OpenMesh::Attributes::Normal)
| VertexAttributes (OpenMesh::Attributes::Normal)
const unsigned int & | generation ()
void | set_generation (const unsigned int &_g)
void | inc_generation ()
void | set_red ()
void | set_green ()
bool | is_red ()
bool | is_green ()
void | set_red_halfedge_handle (HalfedgeHandle &_heh)
HalfedgeHandle & | red_halfedge_handle ()
void | set_quality (Scalar &_q)
Scalar & | quality ()
const Point & | midpoint () const
void | set_midpoint (const Point &_p)
const Point & | position () const
void | set_position (const Point &_p)
const Point & | midpoint () const
void | set_midpoint (const Point &_vh)
const Scalar & | length () const
void | set_length (const Scalar &_s)
const Point & | position () const
void | set_position (const Point &_p)
const Point & | new_pos () const
void | set_new_pos (const Point &_p)
const unsigned int & | generation () const
void | set_generation (const unsigned int &_i)
const Point & | orig_pos () const
void | set_orig_pos (const Point &_p)
const Point & | position () const
void | set_position (const Point &_p)
Public Member Functions inherited from OpenMesh::DefaultTraits
| VertexAttributes (0)
| HalfedgeAttributes (Attributes::PrevHalfedge)
| EdgeAttributes (0)
| FaceAttributes (0)

## Public Attributes
| FaceTraits
HalfedgeHandle | red_halfedge_handle_
unsigned int | generation_
bool | red_
Scalar | quality_
Point | midpoint_
Point | position_
| EdgeTraits
Scalar | length_
| VertexTraits
Point | new_pos_
Point | orig_pos_

## Detailed Description

Uniform Composite Subdivision framework.

Definition at line 84 of file CompositeTraits.hh.

## Member Data Documentation

OpenMesh::Subdivider::Uniform::CompositeTraits::EdgeTraits

Initial value:
{
private:
typedef typename Refs::Point Point

Definition at line 125 of file CompositeTraits.hh.

OpenMesh::Subdivider::Uniform::CompositeTraits::FaceTraits

Initial value:
{
private:
typedef typename Refs::HalfedgeHandle HalfedgeHandle

Definition at line 93 of file CompositeTraits.hh.

OpenMesh::Subdivider::Uniform::CompositeTraits::VertexTraits

Initial value:
{
private:
typedef typename Refs::Point Point

Definition at line 142 of file CompositeTraits.hh.

The documentation for this struct was generated from the following file:

- libs_required/OpenMesh/src/OpenMesh/Tools/Subdivider/Uniform/Composite/CompositeTraits.hh